####
# some distance functions for the user's convenience
####

euclideanDist <- function(x){
	d <- as.matrix(dist(t(x)))
	#need to scale on [0,1]
	d <- d/max(d)
	return(d)
}

correlationDist <- function(x){
	# convert the cord distance on a unit sphere, given the
	# correlations;  d=sin(acos(C)/2)=sqrt((1-C)/2
	C <- cor(x,use="complete")
	d <- sqrt((1-C)/2)
	return(d)
}


.getSimilarity <- function(d, sigma=1) {
	
	# takes a distance matrix d (or any other measure of
	# pairwise dependence)
	# and computes the similarity matrix.
	
	if (sigma<=0){
		# if sigma is 0 (or negative), no gaussian.
		S <- 1-d
	} else {
		S <- exp(-(d^2)/(2*sigma^2))
	}
	diag(S) <- 0  # definitionally
	return(S)
}
