\name{PDM-package}
\alias{PDM-package}
\docType{package}

\title{
Partition Decoupling Method (PDM)
}

\description{
This package carries out the analysis described in Braun, Leibon, Pauls, and Rockmore, Partition Decoupling for Multi-gene Analysis of Gene Expression Profiling Data (2011).  Briefly, the method uses iterated spectral clustering and ``scrubbing'' steps to articulate relationships between samples at multiple scales.
}

\details{
The main workhorse method, \code{\link{PDM}}, carries out the iterated
spectral clustering and scrubbing steps, returning a \code{\linkS4class{PDMlayers}} object with the clustering output from each layer.
}

\author{
Rosemary Braun \email{rosemary.braun@gmail.com}
}

\references{
Braun, Leibon, Pauls, and Rockmore (2011).  Partition Decoupling for Multi-gene Analysis of Gene Expression Profiling Data. URL http://arxiv.org/abs/1002.3946
}

\keyword{ package }

\seealso{
%~~ Optional links to other man pages, e.g. ~~
%~~ \code{\link[<pkg>:<pkg>-package]{<pkg>}} ~~
\code{\link{PDM}} for the main workhorse method.
}

\examples{
# To run see the vignett and run the demo,
\dontrun{
library(PDM)
vignette("PDM")
demo(PDM)
}
}


