\name{clusters,PDMlayers-method}
\alias{clusters}
\alias{clusters,PDMlayers-method}

\title{clusters}
\description{
Extract clusters from a PDMlayers object}

\usage{
\S4method{clusters}{PDMlayers}(object)
}


\arguments{
  \item{object}{a \code{\linkS4class{PDMlayers}} object containing PDM output}
}

\value{
	A data frame containing the cluster assignment for every sample (rows) in each layer (columns).
}

\examples{
data(golub1999)
pdm.golub <- PDM(golub1999$expr,2)
clusters(pdm.golub)[1:10,]
table(clusters(pdm.golub)$layer.1, golub1999$pheno)
table(clusters(pdm.golub)$layer.2, golub1999$pheno)
table(paste("l1.",clusters(pdm.golub)$layer.1,"..l2.",clusters(pdm.golub)$layer.2), golub1999$pheno)
}

\keyword{cluster}
