\name{distanceFn}
\alias{distanceFn}
\alias{euclideanDist}
\alias{correlationDist}

\title{
Distance Functions
}

\description{
Functions to compute pairwise distances of columns in the supplied data,
scaled to range on [0,1].
Two are given; one may define ones own to pass as an argument to PDM.
}

\usage{
euclideanDist(x)
correlationDist(x)
}

\arguments{
	\item{x}{A numeric matrix.}
}

\details{
\code{euclideanDist} gives the pairwise Euclidean distance for the columns of
x, scaled to range on [0,1]. \code{correlationDist} computes the (Pearson)
correlations between all columns in x using pairwise-complete observations,
then converts the correlations r to a cord distance on a unit sphere
according to d=sin(acos(r)/2).

Please note that if you intend to supply a user-defined distance function
to \code{\link{PDM}}, it should operate column-wise, and return values
scaled to (0,1).
}

\value{A square matrix of size ncol(x) populated by the pairwise distances
between each column in x.}

\keyword{array}
