\name{fiedlerVec,PDMlayers-method}
\alias{fiedlerVec}
\alias{fiedlerVec,PDMlayers-method}
\alias{fiedlerVec,layerSpectra-method}
\alias{embedding}
\alias{embedding,PDMlayers-method}
\alias{embedding,layerSpectra-method}

\title{Fiedler Vector}
\description{Extract Fiedler vector or complete embedding from a PDMlayers or layerSpectra object}

\usage{ 
\S4method{fiedlerVec}{PDMlayers}(object,layer) 
\S4method{fiedlerVec}{layerSpectra}(object) 
\S4method{embedding}{PDMlayers}(object,layer) 
\S4method{embedding}{layerSpectra}(object) 
}


\arguments{
  \item{object}{A \code{\linkS4class{PDMlayers}} object containing PDM output, or a \code{\linkS4class{layerSpectra}} object.}
  \item{layer}{Optionally, an integer indicating the desired layer (defaults to last).}
}

\value{
For \code{fiedlerVec}, 
A vector with the Fiedler vector (coordinates along the first nontrivial Laplacian eigenvector) for the given  \code{\linkS4class{PDMlayers}} layer or \code{\linkS4class{layerSpectra}}. For \code{embedding}, a matrix containing the embedded data after the non-linear dimension reduction (Laplacian eigenmap), with samples in rows and Laplacian eigenmap dimensions in columns.}

\examples{
data(golub1999)
pdm.golub <- PDM(golub1999$expr,2)
# Fiedler vector from layer 1:
fiedlerVec(pdm.golub,1)[1:10]
# Fiedler vector from last (here, 2nd) layer:
fiedlerVec(pdm.golub)[1:10]
}

\keyword{array}
