\name{layerSpectra-class}
\alias{layerSpectra-class}
\alias{plot,layerSpectra-method}
\alias{plot,layerSpectra,ANY-method}
\title{"layerSpectra" class and methods for PDM output}
\description{
This class holds PDM layer spectral data, including the embedded data used,
the spectrum (eigenvalues), the 0.05 quantile of resampled eigenvalues,
and the 0.95 quantile of resampled eigengaps.  It is primarily stored
for diagnostic plots, rather than for the user.
}

\section{Slots}{
\describe{
    \item{\code{embedding}:}{Matrix containing the embedded data, ie, the Laplacian eigenvectors corresponding to the significant eigenvalues, ordered from most to least "coarse"; column [,2] is the Fiedler vector.}
    \item{\code{spectra}:}{The Laplacian eigenvalues, ordered from smallest (most significant) to largest; index [2] is the Fiedler value, while [1] is the trivial 0-eigenvalue.}
    \item{\code{refSpectrum}:}{The 0.05 quantile of resampled eigenvalues.}
    \item{\code{refGaps}:}{The 0.95 quantile of resampled eigengaps.}
}
}

\section{Methods}{
\describe{
\item{\code{\link{spectrum}}}{: extracts the spectrum, dropping the trivial 0-eigenvalue.}
\item{\code{\link{embedding}}}{: extracts the complete embedded data, dropping the trivial first vector.}
\item{\code{\link{fiedlerVec}}}{:extracts the Fiedler vector from the embedded data.}
\item{plot}{\code{signature(x = "layerSpectra")}: Plots the spectrum and spectral gaps against the resampled values.  Note, this will generate two plots, so set \code{par(ask=T)} to be able to see the first if calling \code{plot} on a \code{layerSpectra} directly; alternatively, use \code{\link{plot}(\linkS4class{PDMlayers},layer)} for the appropriate layer, which will provide the same spectral plots in two panels.  }
}
}

\keyword{classes}

