\name{spectrum,PDMlayers-method}
\alias{spectrum}
\alias{spectrum,PDMlayers-method}
\alias{spectrum,layerSpectra-method}

\title{Graph Spectrum}
\description{Extract graph spectrum from a PDMlayers or layerSpectra object}

\usage{ 
\S4method{spectrum}{PDMlayers}(object,layer) 
\S4method{spectrum}{layerSpectra}(object) 
}


\arguments{
  \item{object}{A \code{\linkS4class{PDMlayers}} object containing PDM output, or a \code{\linkS4class{layerSpectra}} object.}
  \item{layer}{Optionally, an integer indicating the desired layer (defaults to last).}
}

\value{
A vector with the spectrum (eigenvalues) for the given  \code{\linkS4class{PDMlayers}} layer or \code{\linkS4class{layerSpectra}}, ordered from smallest (most significant) to largest.  The trivial 0-valued eigenvector is dropped.}

\examples{
data(golub1999)
pdm.golub <- PDM(golub1999$expr,2)
# first 10 eignevals in layer 1
spectrum(pdm.golub,1)[1:10]
# first 10 eignevals in last (here, 2nd) layer
spectrum(pdm.golub)[1:10]
}

\keyword{array}
